Subject: bug#12184: GNU Automake 1.12.2 - 4 tests FAIL on Solaris 10 Sparc

From: Dennis Clarke <[email-masked]>
Date: Tue, 14 Aug 2012 17:33:14 +0000 (GMT)

> > http://bugs.exim.org/show_bug.cgi?id=1278
> >
> This should actually go to the grep list though, not to the automake
> one ...  Or am I missing something?

I as just illustrating that the portability issue is all over the place and in many software projects. It really doesn't matter if one looks at grep, automake, sed, pcre or whereever, you will run into issues the moment you leave the Linux reservation.  

In this pcre case what I saw was ( note, the words "saw" and "was" are mirrors I mis-type all the time ) horrific FLAGS in the Makefile that simply assume, you are on linux, you are using libtool and GNU ld, and if you are not, too bad for you : 

EXTRA_LIBPCRE16_LDFLAGS =                          -version-info 0:1:0
EXTRA_LIBPCRECPP_LDFLAGS =  -Wl,-i__ZN7pcrecpp6no_argE:__ZN7pcrecpp2RE6no_argE 
                          -version-info 0:0:
0
EXTRA_LIBPCREPOSIX_LDFLAGS =                               -version-info 0:1:0
EXTRA_LIBPCRE_LDFLAGS =                          -version-info 1:1:0

whatever that is, it looks horrific. 

Cleaning out all the whitespace I get : 

EXTRA_LIBPCRE16_LDFLAGS = -version-info 0:1:0
EXTRA_LIBPCRECPP_LDFLAGS = -Wl,-i__ZN7pcrecpp6no_argE:__ZN7pcrecpp2RE6no_argE
-version-info 0:0:0                           
EXTRA_LIBPCREPOSIX_LDFLAGS = -version-info 0:1:0
EXTRA_LIBPCRE_LDFLAGS = -version-info 1:1:0

It looks as if we are trying ot pass the ( mildly scary ) 
argument '-i__ZN7pcrecpp6no_argE:__ZN7pcrecpp2RE6no_argE' to the link
editor ld.

The first problem here is that the option -i does not mean very much to
the Solaris linker ld.  The other issue is that even on GNU Linux the 
-i option not be what we want. 

Anyways, anyone in the BSD world probably hits the same issues all the time and I can say from experience, years of it, this happens all the time and everywhere in Solaris pretty much. No ones fault other than the jerks at Sun followed by the much larger jerks at Oracle. It has taken them ten yers of stupid to get to a point where no one wants to work with UNIX anymore and hey, I live in front of Debian and love it. So who cares? Only the folks stuck ( trapped on some old business application ) on Solaris while they try to $$migrate$$ away .. forever. 

Dennis